package cn.gintone.dto;

/**
 * 外部jar解密记录
 */
public class JarDecLogInfo {
    private Long timesta;
    private String timestaStr;
    private String sysAbbre; // 系统简称
    private String content; // 解密内容
    private String privateKey; // 私钥
    private String clientIp; // 访问端ip
    private String userId; // 用户id
    private String username; // 用户名
    private String type; // 解密方式

    private Long beginTime;
    private Long endTime;
    private Integer pageSize;
    private Integer pageNum;

    public Long getTimesta() {
        return timesta;
    }

    public void setTimesta(Long timesta) {
        this.timesta = timesta;
    }

    public String getTimestaStr() {
        return timestaStr;
    }

    public void setTimestaStr(String timestaStr) {
        this.timestaStr = timestaStr;
    }

    public String getSysAbbre() {
        return sysAbbre;
    }

    public void setSysAbbre(String sysAbbre) {
        this.sysAbbre = sysAbbre;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPrivateKey() {
        return privateKey;
    }

    public void setPrivateKey(String privateKey) {
        this.privateKey = privateKey;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Long beginTime) {
        this.beginTime = beginTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Integer getPageNum() {
        return pageNum;
    }

    public void setPageNum(Integer pageNum) {
        this.pageNum = pageNum;
    }

    @Override
    public String toString() {
        return "JarDecLogInfo{" +
                "timesta=" + timesta +
                ", timestaStr='" + timestaStr + '\'' +
                ", sysAbbre='" + sysAbbre + '\'' +
                ", content='" + content + '\'' +
                ", privateKey='" + privateKey + '\'' +
                ", clientIp='" + clientIp + '\'' +
                ", userId='" + userId + '\'' +
                ", username='" + username + '\'' +
                ", type='" + type + '\'' +
                ", beginTime=" + beginTime +
                ", endTime=" + endTime +
                ", pageSize=" + pageSize +
                ", pageNum=" + pageNum +
                '}';
    }
}
